---
title:
- Algebra (Grupe)

theme:
- Warsaw
colortheme:
- orchid
---

# Uvod
- Skupovi
    - Celi brojevi (beskonacni)
    - Ostatci pre deljenju (konacne)
- Operacije
    - mnozenje (binarna)
    - negacija (unarna)

# Grupe
- Rezlutat ostaje unutar skupa
- Neutral
- Inverz
- Asocijativnost
- Abelove grupe (komutativnost)
- Ciklicne grupe (ostatak pri deljenju)

# Podgrupe
- Celi/Racionalni brojevi
- Red grupe
- Red podgrupe deli red grupe

# Kriptografija
- Skup poruka m odredjene velicine
- Operacija sifrovanja/potpisivanja $\oplus$
    - jednosmerna (kao i hash funkcije)
- Neutral (e)
- Inverz kljuceva (k1, k2)
    - $k1 \oplus k2 \equiv e$
- Sifrovanje/Potpisivanje ( $c \equiv m \oplus k1$ )
- Desifovanje/Provera ( $c \oplus k1 \equiv m$ )
- Asocijativnost
    - $c \oplus k2 \equiv (m \oplus k1) \oplus k2 \equiv m \oplus (k1 \oplus k2)$
    - $m \oplus (e) \equiv m$

# Kljucevi
- Jedan kljuc (simetricna)
    - $k1 \equiv k2$
    - $1 \oplus 1 \equiv 0 \mod 2$ (komplement)
- Dva kljuca (asimetricna)
    - $2+3 \equiv 0 \mod 5$

# Razmena kljuceva
![Diffie–Hellman](slides/rsa/dhke.png)

# Razmena kljuceva
- Diffie–Hellman (DH)
    - parametri (g,n,...)
    - Abelova grupa (komutativnost)
    - $g \oplus a \oplus b \equiv g \oplus b \oplus a$
    - $(g \oplus a) \oplus b \equiv (g \oplus b) \oplus a$
    - $A \oplus b \equiv B \oplus a$

# Sifrovanje/Potpisivanje
- Direktno sifrovanje (RSA)
- DH + simetcina = asimetricna (EC)
